Page MenuHomePhabricator

Exception in module-execute in module mediawiki.Upload.BookletLayout
Closed, ResolvedPublic

Description

Exception in module-execute in module mediawiki.Upload.BookletLayout

TypeError: Right-hand side of 'instanceof' is not an object

Namespace 2 and 3 (user and user talk)

intermittent

Event Timeline

Nirmos created this task.Sep 11 2016, 3:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2016, 3:20 AM
Nirmos updated the task description. (Show Details)Sep 11 2016, 3:26 AM
Aklapper changed the task status from Open to Stalled.Sep 11 2016, 1:00 PM

Hi @Nirmos, thanks for taking the time to report this!
Unfortunately this report lacks some information. If you have time and can still reproduce the problem, please add a more complete description to this report. Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

This is when editing a page.

TheDJ added a subscriber: TheDJ.Sep 12 2016, 10:03 AM

@Nirmos With which editor, on which page, on which wiki ?

This is when editing a page.

@Nirmos: That's too vague. :( Please imagine that you are someone else trying to follow your steps in order to reproduce the problem with the exact settings and actions you perform. Please see T145315#2626675 and TheDJ's last comment. Thanks!

With which editor

wikitext

on which page, on which wiki

https://en.wikipedia.org/w/index.php?title=User:Nirmos&action=edit

matmarex claimed this task.Sep 12 2016, 1:03 PM
matmarex triaged this task as High priority.
matmarex added a project: MediaWiki-Uploading.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 12 2016, 1:03 PM

Change 309985 had a related patch set uploaded (by Bartosz Dziewoński):
Add missing dependency to 'mediawiki.Upload.BookletLayout' module

https://gerrit.wikimedia.org/r/309985

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 12 2016, 1:05 PM

Change 309987 had a related patch set uploaded (by Bartosz Dziewoński):
Improve failure message when inheritClass/mixinClass called with 'undefined'

https://gerrit.wikimedia.org/r/309987

matmarex changed the task status from Stalled to Open.Sep 12 2016, 1:25 PM

Change 309985 merged by jenkins-bot:
Add missing dependency to 'mediawiki.Upload.BookletLayout' module

https://gerrit.wikimedia.org/r/309985

Change 310032 had a related patch set uploaded (by Bartosz Dziewoński):
Add missing dependency to 'mediawiki.Upload.BookletLayout' module

https://gerrit.wikimedia.org/r/310032

Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Sep 12 2016, 4:57 PM

Change 310032 merged by jenkins-bot:
Add missing dependency to 'mediawiki.Upload.BookletLayout' module

https://gerrit.wikimedia.org/r/310032

Mentioned in SAL [2016-09-12T18:23:43Z] <dereckson@tin> Synchronized php-1.28.0-wmf.18/resources/Resources.php: Add missing dependency to 'mediawiki.Upload.BookletLayout' module (T145315) (duration: 00m 47s)

matmarex closed this task as Resolved.Sep 12 2016, 6:25 PM

Fixed and deployed.

Change 309987 merged by jenkins-bot:
core: Improve error message when inheritClass/mixinClass called with 'undefined'

https://gerrit.wikimedia.org/r/309987